### Virtual Method

# Gimp Layer copy

since: 3.0

#### Declaration [src]

    GimpLayer*
    copy (
      GimpLayer* layer
    )

#### Description [src]

Copy a layer.

This procedure copies the specified layer and returns the copy. The newly copied layer is for use within the original layer’s image. It should not be subsequently added to any other image.

Available since: 3.0

#### Return value

Type: `GimpLayer`

The newly copied layer. The object belongs to libgimp and you should not free it.

The data is owned by the called function.